Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006424TestLinkReports - Req. Based Reportpublic2014-07-07 13:382014-07-28 20:31
Reportersnowyfu 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version1.9.11 (2014 Q2 - bug fixing) 
Summary0006424: No excution details page poped up when clicking "Execution" icon of non-excuted case on "Requirements based Report" page
DescriptionNo excution details page poped up when clicking "Excution" icon on "Requirements based Report" page
Steps To Reproduce1. create a requirement and Test case
2. link the requirement to the test case
3. create a test plan, add the test case
4. create a build
5. click "Test Reports"page, and click "Requirements based Report"
6. click "Excution"icon of the test case

expected result:The excution details page pops up
Actual result:No execution details page pops up
TagsNo tags attached.
Database (MySQL,Postgres,etc)mySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon 6424.png [^] (256,356 bytes) 2014-07-14 02:13

- Relationships
child of 0006313closedfman Availables hot-fixes for 1.9.10 & How To get full fixed package from gitorious 

-  Notes
(0021220)
fman (administrator)
2014-07-07 13:45

please check on demo (version 1.9.10) and provide feedback
(0021222)
snowyfu (reporter)
2014-07-07 23:57
edited on: 2014-07-08 10:22

Thanks for your reply, I have check on Demo with Test Project: QApp , the issue can be reproduced.

(0021255)
fman (administrator)
2014-07-12 07:33

20140712 - there is no such test project QApp on demo

next time can be you kindly enough to create one and set up it to allow me to test ?
(0021256)
fman (administrator)
2014-07-12 07:39

1. when test case has not been runned => No windows open
@snowyfu: you did not provide this detail

2. when test case has been executed => windows open but info is not good
@snowyfu: you did not do this test
(0021257)
fman (administrator)
2014-07-12 13:49

issue is related to wrong parameter passed to javascript function openExecutionWindow()
version number => (human readable) Wrong, tcversion_id (DB ID) right
(0021258)
fman (administrator)
2014-07-12 13:53

https://gitorious.org/testlink-ga/testlink-code/commit/fa7df14457e02900895b00f85973477143dd3d87 [^]
(0021266)
snowyfu (reporter)
2014-07-14 02:15

tcversion_id (DB ID) is right,
but the issue still exists while I use the latest version.

As Demo Testing: I create project:0006424 you can test, Please see attachment.
(0021267)
fman (administrator)
2014-07-14 07:18

>> but the issue still exists while I use the latest version.
unable to understand
(0021269)
snowyfu (reporter)
2014-07-14 09:16

I got the latest testlink code from https://gitorious.org/testlink-ga/testlink-code/commit/fa7df14457e02900895b00f85973477143dd3d87, [^] and test it on my local environment, the issue still can be reproduced.

- Issue History
Date Modified Username Field Change
2014-07-07 13:38 snowyfu New Issue
2014-07-07 13:45 fman Note Added: 0021220
2014-07-07 23:57 snowyfu Note Added: 0021222
2014-07-08 10:22 fman Note Edited: 0021222 View Revisions
2014-07-12 07:33 fman Note Added: 0021255
2014-07-12 07:39 fman Note Added: 0021256
2014-07-12 13:49 fman Note Added: 0021257
2014-07-12 13:53 fman Note Added: 0021258
2014-07-12 13:53 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-07-12 13:53 fman Status new => resolved
2014-07-12 13:53 fman Fixed in Version => 1.9.11 (2014 Q2 - bug fixing)
2014-07-12 13:53 fman Resolution open => fixed
2014-07-12 13:53 fman Assigned To => fman
2014-07-12 13:53 fman Relationship added child of 0006313
2014-07-14 02:13 snowyfu File Added: 6424.png
2014-07-14 02:15 snowyfu Note Added: 0021266
2014-07-14 07:18 fman Note Added: 0021267
2014-07-14 09:16 snowyfu Note Added: 0021269
2014-07-28 20:31 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker